petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMAppendOptionsPrefix

Appends to the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMAppendOptionsPrefix(DM dm,const char prefix[])

Logically Collective on DM

### Input Parameters

| dm | - the DM context
| prefix | - the prefix string to prepend to all DM option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

DM, append, options, prefix, database

### See Also

DMSetOptionsPrefix(), DMGetOptionsPrefix()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages